Last Comment Bug 663372 - some addon manager tests fail when network access is shut off
: some addon manager tests fail when network access is shut off
Status: VERIFIED FIXED
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla6
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on:
Blocks: 626999
  Show dependency treegraph
 
Reported: 2011-06-10 06:33 PDT by Ben Hearsum (:bhearsum)
Modified: 2011-08-11 09:14 PDT (History)
7 users (show)
hskupin: in‑testsuite+
hskupin: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
.x-fixed


Attachments
wireshark capture during test (76.99 KB, application/octet-stream)
2011-06-10 06:36 PDT, Ben Hearsum (:bhearsum)
no flags Details
patch rev 1 [checked in] (4.79 KB, patch)
2011-06-14 11:35 PDT, Dave Townsend [:mossop]
blair: review+
asa: approval‑mozilla‑aurora+
dveditz: approval2.0+
Details | Diff | Splinter Review

Description Ben Hearsum (:bhearsum) 2011-06-10 06:33:43 PDT
I've been running unittests on a set of machines which have no internet access, in prep for bug 617414. I've found that a set of tests consistently fail across all platforms. I *think* they're all addons manager related, here's the failures from the log:
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug577990.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug577990.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug577990.js | Should not get category when manager window is not loaded - Didn't expect null, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug580298.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug580298.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Should not have seen an install of http://example.com/addon1.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Should not have seen an install of http://example.com/install1.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Should not have seen an install of http://example.com/browser/toolkit/mozapps/extensions/test/browser/addons/browser_searching.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Should not have seen an install of http://example.com/remote2.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Should not have seen an install of http://example.com/remote3.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Should not have seen an install of http://example.com/remote4.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug581076.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug610764.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug610764.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug618502.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_bug618502.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_details.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_searching.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_searching.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_sorting.js | Should have seen the right order - Got ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "remote1@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"], expected ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_sorting.js | Should have seen the right order - Got ["test5@tests.mozilla.org", "remote1@tests.mozilla.org", "test3@tests.mozilla.org", "test1@tests.mozilla.org", "test2@tests.mozilla.org", "test4@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test7@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test20@tests.mozilla.org", "test17@tests.mozilla.org", "test18@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org"], expected ["test5@tests.mozilla.org", "test3@tests.mozilla.org", "test1@tests.mozilla.org", "test2@tests.mozilla.org", "test4@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test7@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test20@tests.mozilla.org", "test17@tests.mozilla.org", "test18@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_sorting.js | Should have seen the right order - Got ["test4@tests.mozilla.org", "test2@tests.mozilla.org", "test1@tests.mozilla.org", "test3@tests.mozilla.org", "remote1@tests.mozilla.org", "test5@tests.mozilla.org", "test7@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test18@tests.mozilla.org", "test17@tests.mozilla.org", "test20@tests.mozilla.org"], expected ["test4@tests.mozilla.org", "test2@tests.mozilla.org", "test1@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "test7@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test18@tests.mozilla.org", "test17@tests.mozilla.org", "test20@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_sorting.js | Should have seen the right order - Got ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "remote1@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"], expected ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_sorting.js | Should have seen the right order - Got ["test1@tests.mozilla.org", "remote1@tests.mozilla.org", "test5@tests.mozilla.org", "test3@tests.mozilla.org", "test4@tests.mozilla.org", "test2@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test7@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test18@tests.mozilla.org", "test20@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test17@tests.mozilla.org"], expected ["test1@tests.mozilla.org", "test5@tests.mozilla.org", "test3@tests.mozilla.org", "test4@tests.mozilla.org", "test2@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test7@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test18@tests.mozilla.org", "test20@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test17@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/browser/toolkit/mozapps/extensions/test/browser/addons/browser_searching.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/remote2.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/remote3.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/remote4.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/remote2.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/remote3.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Should not have seen an install of http://example.com/remote4.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_types.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_uninstalling.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_uninstalling.js | Found a tab after previous test timed out: about:addons
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug577990.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug577990.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug577990.js | Should not get category when manager window is not loaded - Didn't expect null, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug580298.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug580298.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Should not have seen an install of http://example.com/addon1.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Should not have seen an install of http://example.com/install1.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Should not have seen an install of http://example.com/remote2.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Should not have seen an install of http://example.com/remote3.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug581076.js | Should not have seen an install of http://example.com/remote4.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug591465.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug591465.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug596336.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug610764.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug610764.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug618502.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_bug618502.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_details.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_details.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 1, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list once the update has started - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be only one item in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_install.js | Should be no items in the list - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_list.js | Should be seven add-ons installed - Got 8, expected 7
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_list.js | Should be seven add-ons installed - Got 8, expected 7
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_list.js | Should be seven add-ons installed - Got 8, expected 7
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected install2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got install2, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected install1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote2, expected remote1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote3, expected remote2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote4, expected remote3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got undefined, expected remote4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected install2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got install2, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected install1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote2, expected remote1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote3, expected remote2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote4, expected remote3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got undefined, expected remote4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected addon2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon2, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected install2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote2, expected remote1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote3, expected remote2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote4, expected remote3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got undefined, expected remote4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected addon2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon2, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected install2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote2, expected remote1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote3, expected remote2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote4, expected remote3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got undefined, expected remote4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected addon2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected addon2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected addon2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 5, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got remote1, expected addon1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should have seen expected item - Got addon1, expected addon2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should expect to see item with data that is unknown
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Should get correct number of results - Got 3, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Install button should be showing before install - Got true, expected false
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_searching.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_sorting.js | Should have seen the right order - Got ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "remote1@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"], expected ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_sorting.js | Should have seen the right order - Got ["test5@tests.mozilla.org", "remote1@tests.mozilla.org", "test3@tests.mozilla.org", "test1@tests.mozilla.org", "test2@tests.mozilla.org", "test4@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test7@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test20@tests.mozilla.org", "test17@tests.mozilla.org", "test18@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org"], expected ["test5@tests.mozilla.org", "test3@tests.mozilla.org", "test1@tests.mozilla.org", "test2@tests.mozilla.org", "test4@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test7@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test20@tests.mozilla.org", "test17@tests.mozilla.org", "test18@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_sorting.js | Should have seen the right order - Got ["test4@tests.mozilla.org", "test2@tests.mozilla.org", "test1@tests.mozilla.org", "test3@tests.mozilla.org", "remote1@tests.mozilla.org", "test5@tests.mozilla.org", "test7@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test18@tests.mozilla.org", "test17@tests.mozilla.org", "test20@tests.mozilla.org"], expected ["test4@tests.mozilla.org", "test2@tests.mozilla.org", "test1@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "test7@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test18@tests.mozilla.org", "test17@tests.mozilla.org", "test20@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_sorting.js | Should have seen the right order - Got ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "remote1@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"], expected ["test2@tests.mozilla.org", "test4@tests.mozilla.org", "test3@tests.mozilla.org", "test5@tests.mozilla.org", "test1@tests.mozilla.org", "test7@tests.mozilla.org", "test8@tests.mozilla.org", "test6@tests.mozilla.org", "test10@tests.mozilla.org", "test9@tests.mozilla.org", "test11@tests.mozilla.org", "test13@tests.mozilla.org", "test12@tests.mozilla.org", "test14@tests.mozilla.org", "test15@tests.mozilla.org", "test17@tests.mozilla.org", "test19@tests.mozilla.org", "test16@tests.mozilla.org", "test20@tests.mozilla.org", "test18@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_sorting.js | Should have seen the right order - Got ["test1@tests.mozilla.org", "remote1@tests.mozilla.org", "test5@tests.mozilla.org", "test3@tests.mozilla.org", "test4@tests.mozilla.org", "test2@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test7@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test18@tests.mozilla.org", "test20@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test17@tests.mozilla.org"], expected ["test1@tests.mozilla.org", "test5@tests.mozilla.org", "test3@tests.mozilla.org", "test4@tests.mozilla.org", "test2@tests.mozilla.org", "test9@tests.mozilla.org", "test10@tests.mozilla.org", "test6@tests.mozilla.org", "test8@tests.mozilla.org", "test7@tests.mozilla.org", "test15@tests.mozilla.org", "test14@tests.mozilla.org", "test12@tests.mozilla.org", "test13@tests.mozilla.org", "test11@tests.mozilla.org", "test18@tests.mozilla.org", "test20@tests.mozilla.org", "test16@tests.mozilla.org", "test19@tests.mozilla.org", "test17@tests.mozilla.org"]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Found unexpected add-ons manager window still open
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Should not have seen an install of http://example.com/remote2.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Should not have seen an install of http://example.com/remote3.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Should not have seen an install of http://example.com/remote4.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Should not have seen an install of http://example.com/remote2.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Should not have seen an install of http://example.com/remote3.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_types.js | Should not have seen an install of http://example.com/remote4.xpi in state 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_uninstalling.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser-window/browser_uninstalling.js | Found unexpected add-ons manager window still open



I've also got a capture from wireshark, which I'll attach in case it's helpful.
Comment 1 Ben Hearsum (:bhearsum) 2011-06-10 06:36:43 PDT
Created attachment 538500 [details]
wireshark capture during test
Comment 2 Dave Townsend [:mossop] 2011-06-10 06:46:28 PDT
I think some tests aren't resetting the discovery url properly. I think I had a patch floating around for it somewhere, will try to find/recreate it.
Comment 3 Dave Townsend [:mossop] 2011-06-14 11:35:51 PDT
Created attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

Guess I missed one. Instead just make the head file always reset it to the correct value. This should solve any accesses to the discovery url
Comment 4 Dave Townsend [:mossop] 2011-06-15 12:13:46 PDT
Comment on attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

This is landed: http://hg.mozilla.org/mozilla-central/rev/1cacdfb4720a

Can we see whether there is still any problem with these tests?
Comment 5 Ben Hearsum (:bhearsum) 2011-06-15 12:15:03 PDT
(In reply to comment #4)
> Comment on attachment 539259 [details] [diff] [review] [review]
> patch rev 1 [checked in]
> 
> This is landed: http://hg.mozilla.org/mozilla-central/rev/1cacdfb4720a
> 
> Can we see whether there is still any problem with these tests?

I'm superbusy with Firefox 5 stuff this week, but I'll do another capture as soon as I can.
Comment 6 Ben Hearsum (:bhearsum) 2011-06-17 12:04:10 PDT
I did a capture with a Linux64 opt + debug build today. There was about 15 attempted outbound connections during all of mochitest-other to Mozilla web properties. A few of those were bug 663211, I'm not sure about the others. Despite that, it went green, so I'm pretty sure this bug is fixed. Also, I don't care too much as long as they aren't going orange! ;)
Comment 7 Ben Hearsum (:bhearsum) 2011-06-22 12:03:11 PDT
Any chance this patch can get backported to 1.9.2? (It already applies cleanly to aurora, and we don't need to care about 1.9.1 or 2.0.)
Comment 8 Dave Townsend [:mossop] 2011-06-22 12:05:36 PDT
(In reply to comment #7)
> Any chance this patch can get backported to 1.9.2? (It already applies
> cleanly to aurora, and we don't need to care about 1.9.1 or 2.0.)

Zero chance. The feature that was doing the network loads here did not exist on 1.9.2. I'd have to re-investigate what else is happening there
Comment 9 Ben Hearsum (:bhearsum) 2011-06-22 12:06:23 PDT
Comment on attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

Drivers, this patch applies cleanly to mozilla-aurora. I'd like to land it in there to stop some addons manager tests from attempting to access the internet, which will start to fail if they continue to once bug 646046 is done.
Comment 10 Ted Mielczarek [:ted.mielczarek] 2011-06-22 12:19:35 PDT
Drivers: note that this is a test-only change with zero risk to the actual shipping product.
Comment 11 Ben Hearsum (:bhearsum) 2011-06-27 08:01:34 PDT
Comment on attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

http://hg.mozilla.org/releases/mozilla-aurora/rev/689c3ecabd81
Comment 12 Ben Hearsum (:bhearsum) 2011-06-27 08:03:16 PDT
Comment on attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

Looks we're not turning off mozilla-2.0 quite yet either, so we need this there, too.

> Drivers, this patch applies cleanly to mozilla-aurora. I'd like to land it
> in there to stop some addons manager tests from attempting to access the
> internet, which will start to fail if they continue to once bug 646046 is
> done.
> note that this is a test-only change with zero risk to the actual
> shipping product.
Comment 13 Daniel Veditz [:dveditz] 2011-06-27 14:48:33 PDT
Comment on attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

Approved for the mozilla2.0 repository, a=dveditz for release-drivers
Comment 14 Ben Hearsum (:bhearsum) 2011-06-28 06:39:42 PDT
Comment on attachment 539259 [details] [diff] [review]
patch rev 1 [checked in]

http://hg.mozilla.org/releases/mozilla-2.0/rev/5216dd412535
Comment 15 Henrik Skupin (:whimboo) 2011-08-11 09:14:27 PDT
No more reported problems with tests accessing the network. Marking this bug as verified fixed.

Note You need to log in before you can comment on or make changes to this bug.